Subject: Re: bug#60592: 30.0.50; emacsclient: exit with a different code when the request times out

From: Sean Whitton <[email-masked]>
Date: Fri, 06 Jan 2023 12:03:17 -0700

Hello,

On Fri 06 Jan 2023 at 08:12PM +02, Eli Zaretskii wrote:

>> From: Sean Whitton <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 06 Jan 2023 10:57:18 -0700
>>
>> Hello,
>>
>> On Fri 06 Jan 2023 at 09:37AM +02, Eli Zaretskii wrote:
>>
>> >> From: Sean Whitton <[email-masked]>
>> >> Date: Thu, 05 Jan 2023 22:47:49 -0700
>> >>
>> >> When calling 'emacsclient --timeout N --eval' from scripts, it would be
>> >> nice if you could determine for sure when a failure was just due to a
>> >> timeout, rather than, say, a Lisp exception.
>> >>
>> >> inotifywait(1) exits with code 2 to indicate a timeout.
>> >> emacsclient could do the same.
>> >
>> > It would be more portable to have the exception handler send a special
>> > message to emacsclient, so that it would know the reason without
>> > guessing.
>>
>> I think this is wholly complimentary to what I'm suggesting, right?
>
> I didn't think so, but maybe I was missing something.
>
> My point is that if we make the exception known to emacsclient, then
> when the timeout ends without exceptions, it should be clear it was a
> real timeout.

Right.  This is a good addition to my proposal -- no conflicts.

-- 
Sean Whitton